fragen stichworte

Fragen markiert [rpm]

RPM Package Manager ist ein Paketverwaltungssystem, das hauptsächlich für GNU/Linux-Betriebssysteme verwendet wird. Es verwendete das RPM-Dateiformat.

Lern mehr...
2
stimmen
2
antworten
2k
ansichten
Mysql-devel kann nicht auf Centos installiert werden
Jedes Mal, wenn ich versuche, sudo yum install mysql-devel auszuführen Ich habe den folgenden Fehler erhalten:Setting up Install Process Resolving…
6
stimmen
1
antworten
11k
ansichten
Schlechte Signaturen oder NOKEY-Fehler bei RPMs, die ich gerade signiert habe
Ich habe ernsthafte Probleme, dass RPM-Signaturen für RHEL/CentOS 5-Hosts verwendet werden. TL; DR: Die RPM-Signatur funktioniert nicht, und sie funktioniert…
0
stimmen
3
antworten
3k
ansichten
RPM-Befehl hängt
in CentOs 5 U/min-Befehl steckt in meiner Linux-Maschine ...[root@manage glib]# rpm -i libgcc-4.1.1-52.el5.i386.rpm [root@manage glib]# ps -efww | grep libgcc…
5
stimmen
1
antworten
1k
ansichten
Erstellen eines lokalen rpmforge / repoforge-Spiegels?
Ich nutze RPMforge gut für meine Produktions-CentOS-Systeme. Ich habe lokale Repositories für die wichtigsten CentOS-Distributionen und -Updates, jedoch hängen die…
2
stimmen
2
antworten
3k
ansichten
Wie installiert man mcrypt in der dualen PHP-Version CentOS 6
Ich habe zwei parallele Versionen von PHP auf CentOS 6.5 über diese -Methode installiert [root@host ~]# php -i | grep…
1
stimmen
1
antworten
2k
ansichten
RPM-Änderungspaketname, ohne das extrahierte Verzeichnis zu ändern
Ich habe angefangen, RPMs von Software zu erstellen, die ich verwende, um es mir zu ermöglichen, es so zu konfigurieren,…
11
stimmen
3
antworten
33k
ansichten
Probleme mit mehreren Versionen lösen
Ich verwende Centos 6.4 Beim Versuch, libgcc mit yum install libgcc.i686 zu installieren, nahm ich folgende Massagen an.Error: Multilib version…
10
stimmen
1
antworten
1k
ansichten
Warum wird der Yum-Index beschädigt?
Gelegentlich wird der Cache von yum beschädigt und es werden folgende Fehler angezeigt:error: db3 error(-30974) from dbenv->failchk: DB_RUNRECOVERY: Fatal error,…
3
stimmen
2
antworten
3k
ansichten
centos 6 epel alternativer Repository-Ersatz
Ich habe das EPEL-Repository bereits auf meinem Server installiert. Ich wollte etwas Neues installieren und bekomme diese Fehlermeldung mit yum:…
0
stimmen
1
antworten
2k
ansichten
Der Client kann Yum Server nicht verwenden, der auf dem Server unter / home / RPMS-Dateipfad konfiguriert ist
Ich habe Yum Server auf Server 10.0.0.1 (Redhat 5.3) konfiguriert. Alle RPMS sind hier/home/RPMS/Server. Nun habe ich auf einem anderen…
8
stimmen
4
antworten
13k
ansichten
Wie kann ich ein Yum-Repository spiegeln, aber nur die neuesten Versionen jedes Pakets herunterladen?
Ich möchte die folgenden Yum/RPM-Repositorys unter http://yum.puppetlabs.com/: spiegeln http://yum.puppetlabs.com/el/6/products/ http://yum.puppetlabs.com/el/6/dependencies/ http://yum.puppetlabs.com/el/5/products http://yum.puppetlabs.com/el/5/dependencies/ Das Puppet-Repository enthält alle jemals veröffentlichten Puppet-Produkte und…
0
stimmen
2
antworten
3k
ansichten
Repomirror verwenden, um ein Yum-Repository für eine andere Betriebssystemversion zu spiegeln
Ich habe eine EL5-Maschine. Auf diesem Host möchte ich ein Puppet-Repository für EL6-RPMs spiegeln. Wie kann ich ein EL6- oder…
1
stimmen
3
antworten
12k
ansichten
Kein Tomcat7-Paket für RHEL 6
Derzeit wird eine neue Anwendungs-Hosting-Umgebung in Rackspace eingerichtet. Es fällt uns schwer, ein Paket für Tomcat 7 zu finden. Unser…
3
stimmen
3
antworten
15k
ansichten
Reparieren ersetzte OpenSSL-Installation
Ich habe früher openssl in meiner centos-Box durch openssl10 ersetzt, indem ich etwas wie diese Anweisungen: verwendete rpm -Uvh http://dl.iuscommunity.org/pub/ius/stable/CentOS/6/...…
9
stimmen
1
antworten
7k
ansichten
Wo installiert rpm benutzerdefinierte gpg-Schlüssel?
Wo speichert CentOS/RHEL 6 benutzerdefinierte gpg-Schlüssel? Ich dachte/etc/pki/rpm-gpg, aber ich installierte den Schlüssel von nginx, konnte ihn aber nicht finden.…
5
stimmen
2
antworten
5k
ansichten
Vermeiden Sie Dateikonflikte im RPM-Paket
Ich habe ein RPM-Paket erstellt. Der Teil der .spec-Datei befindet sich unter%install mkdir -p ${RPM_BUILD_ROOT}/etc/xyz cp -rf %{BDIR}/console ${RPM_BUILD_ROOT}/etc/xyz %files…
17
stimmen
7
antworten
11k
ansichten
Analysieren Sie einen RPM-Namen in seine Komponenten
Gibt es ein Tool zur Namensanalyse, das Teil des offiziellen RPM-Toolpakets ist? Ich habe eine Liste von Dateinamen. Jedes ist…
rpm
0
stimmen
1
antworten
2k
ansichten
Die Installation von JDK in einer Amazon-Linux-Box führt zu einem Fehler: Öffnen von fehlgeschlagen: Keine solche Datei oder Verzeichnis
Ich habe gerade eine neue Amazon Linux-Box erhalten und versuche, Jdk darauf zu installieren. Dies sind die Befehle, denen ich…
2
stimmen
1
antworten
1k
ansichten
Einige Dateien aus RPM verfügen über falsche Berechtigungen
Ich baue RPMs mit fpm. Eines der Ziele besteht darin, den Benutzer und die Gruppe der installierten Dateien festzulegen. Daher…
5
stimmen
1
antworten
918
ansichten
Warum bekomme ich bei der Installation des gleichen Pakets mit yum nicht die gleichen Dateien?
Die Situation, in der ich mich befinde: Ich habe einen CentOS 5.9-Computer eingerichtet, der so nah wie möglich eine Kopie…
0
stimmen
3
antworten
4k
ansichten
So installieren Sie MariaDB-RPMS in CentOS 6.4 unter Verwendung von rpm (nicht yum cmd) und der Handhabung von mysql-libs-Konflikten
Ich muss die Installation von MariaDB mithilfe des rpm-Befehls in CentOS 6.4 skripieren. Ich kann yum nicht verwenden, da es…
18
stimmen
3
antworten
37k
ansichten
Benötige ich ein RHEL-Abonnement, um Pakete zu installieren?
Ich bin neu bei RHEL. Ich habe heute morgen versucht, Software zu installieren und stolpert in Straßensperren. Muss ein Abonnement…
6
stimmen
3
antworten
35k
ansichten
CentOS 5: Wie löse ich einen RP5-Abhängigkeitskonflikt mit PHP-Foo und PHP-Common?
Wir betreiben ein CentOS 5.6-System und möchten php53 mit php-mcrypt installieren. Dies führt jedoch zu einem Abhängigkeitskonflikt zwischen php-common &…
0
stimmen
2
antworten
2k
ansichten
Neuere libmysqlclient.so erstellt Konflikte mit einer php-mysql-Installation
Ich habe einen funktionierenden MySQL 5.6-Server auf einem CentOS 6.4-Server Ich versuche, dass tp auch PHP zum Laufen bringt und…
1
stimmen
2
antworten
1k
ansichten
Ich kann rpmbuild nicht zum Erstellen von Nagios-3.5.0 RPM @ RHEL6 verwenden
Ich kann kein RPM mit Nagios 3.5.0 erstellen (das letzte, das bei mir funktionierte, war 3.2.3):# md5sum nagios-3.5.0.tar.gz aeef195d2033cc362bf6cb972bcc8f07 nagios-3.5.0.tar.gz…
3
stimmen
3
antworten
9k
ansichten
RPM ignoriert Konflikte
Gibt es eine Möglichkeit, RPM-Versionskonflikte zu ignorieren, indem die neueste Version installiert bleibt? Zum Beispiel. Ich möchte Gawk in AIX…
3
stimmen
2
antworten
8k
ansichten
XenServer 6.2 Yum-Repository
Ich habe einen sauberen XenServer 6.2 von den bereitgestellten ISOs hier installiert. Ich möchte einen Treiber für dieses System kompilieren…
1
stimmen
2
antworten
1k
ansichten
Yum-Befehl zum Downgrade von Paketen
Ich muss PHP auf einem Server herunterstufen und den folgenden Befehl gefunden haben. Mit der Syntax scheint etwas nicht in…
4
stimmen
1
antworten
1k
ansichten
Wie kann man Leerzeichen in einem "source" -Element der Drehzahlangabe umgehen?
Ich versuche, ein RPM zu erstellen, aber die Quelldatei des Anbieters enthält ein Leerzeichen im Dateinamen, und es scheint keine…
0
stimmen
1
antworten
1k
ansichten
Warum kann RPM keine Abhängigkeiten finden, obwohl sie installiert sind?
Ich versuche, ein RPM-Paket mit RPM zu aktivieren. Die Installation schlägt fehl und sagt, dass die Abhängigkeiten von php53 fehlschlagen.…
1
stimmen
3
antworten
39k
ansichten
Festlegen von RHEL-Standard-Yum-Repositories
Ich hatte die Aufgabe, PHP auf einem RHEL 6-Server einzurichten. Wenn Sie yum install php ausführen, erhalten Sie folgende Ausgabe:Loaded…
0
stimmen
1
antworten
2k
ansichten
glibc-devel kann nicht installiert werden. "Requires: libnss_files.so.2" Fehler
Ich verwende Linux 6.1 Ich muss glibc-devel installieren, aber dieser Fehler schlägt fehl.[root@server1 Packages]# yum install glibc-devel-2.12-1.25.el6.i686.rpm Loaded plugins: refresh-packagekit…
0
stimmen
1
antworten
900
ansichten
Wie erstelle ich ein Python (2.7.3) RPM-Paket?
Egal was ich versuche, ich kann das nicht tun. Ich bin auf Centos 5.6 x86_64 1 python setup.py bdist_rmp gibt…
3
stimmen
1
antworten
2k
ansichten
openVPN centOS 6.4 64bit Abhängigkeitsprobleme
Jedes Mal, wenn ich das openVPN-RPM rufe (http://mirror.its.sfu.ca/mirror/CentOS-Third-Party/epel/6/x86_64/openvpn-2.2.2-1.el6.x86_64) .rpm) und versuchen Sie es zu installieren, ich habe Probleme mit der…
12
stimmen
5
antworten
14k
ansichten
Installieren Sie das letzte ImageMagick auf CentOS 6.3
Ich habe eine schreckliche Zeit, wenn ich versuche, eine aktuelle Version von ImageMagick auf einem CentOS 6.3 x86_64-Server zu installieren.…